Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class WToolBarItems

    java.lang.Object
      LumiSoft.UI.Controls.WToolBarItems

All Implemented Interfaces:
  java.lang.Iterable<WToolBarItem>

    public class WToolBarItems

extends java.lang.Object
implements java.lang.Iterable<WToolBarItem>

Toolbar item collection.

Method Summary
`WToolBarItem` | `Add(boolean separator)` Adds toobar item to items collection.
`WToolBarItem` | `Add(int imageIndex)` Adds toobar item to items collection.
`WToolBarItem` | `Add(java.lang.String name, boolean separator, int imageIndex, WContextMenu menu, java.lang.Object tag)` Adds toobar item to items collection.
`WToolBarItem` | `Add(java.lang.String name, int imageIndex, java.lang.Object tag)` Adds toobar item to items collection.
`WToolBarItem` | `Add(java.lang.String name, int imageIndex, WContextMenu menu, java.lang.Object tag)` Adds toobar item to items collection.
`WToolBarItem` | `get(int index)` Gets toolbar item from specified index.
`WToolBarItem` | `get(java.lang.String name)` Gets toolbar item with specified name.
`int` | `getCount()` Gets number of items are in items collection.
`WToolBarItem[]` | `getVisibleItems()` Returns visible items (item.getVisible = true).
`java.util.Iterator<WToolBarItem>` | `iterator()` Gets iterator.
`void` | `Remove(int index)` Removes item from specified index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public WToolBarItem Add(int imageIndex)
                     throws java.lang.Exception

  Adds toobar item to items collection.

  Parameters:
    `imageIndex` - Toolbar image index in ToolBar.ImageList.
  Returns:
    Returns added item.
  Throws:
    `java.lang.Exception`

### Add

    public WToolBarItem Add(boolean separator)
                     throws java.lang.Exception

  Adds toobar item to items collection.

  Parameters:
    `separator` - Specifies if item is separator.
  Returns:
    Returns added item.
  Throws:
    `java.lang.Exception`

### Add

    public WToolBarItem Add(java.lang.String name,
                            int imageIndex,
                            java.lang.Object tag)
                     throws java.lang.Exception

  Adds toobar item to items collection.

  Parameters:
    `name` - Toolbar item name.
    `imageIndex` - Toolbar image index in ToolBar.ImageList.
    `tag` -
  Returns:
    Returns added item.
  Throws:
    `java.lang.Exception`

### Add

    public WToolBarItem Add(java.lang.String name,
                            int imageIndex,
                            WContextMenu menu,
                            java.lang.Object tag)
                     throws java.lang.Exception

  Adds toobar item to items collection.

  Parameters:
    `name` - Toolbar item name.
    `imageIndex` - Toolbar image index in ToolBar.ImageList.
    `menu` - Item dropdown menu.
    `tag` - Item tag.
  Returns:
    Returns added item.
  Throws:
    `java.lang.Exception`

### Add

    public WToolBarItem Add(java.lang.String name,
                            boolean separator,
                            int imageIndex,
                            WContextMenu menu,
                            java.lang.Object tag)
                     throws java.lang.Exception

  Adds toobar item to items collection.

  Parameters:
    `name` - Toolbar item name.
    `separator` - Specifies if item is separator.
    `imageIndex` - Toolbar image index in ToolBar.ImageList.
    `menu` - Item dropdown menu.
    `tag` - Item tag.
  Returns:
    Returns added item.
  Throws:
    `java.lang.Exception`

### Remove

    public void Remove(int index)

  Removes item from specified index.

  Parameters:
    `index` -

### get

    public WToolBarItem get(int index)

  Gets toolbar item from specified index.

  Parameters:
    `index` -
  Returns:

### get

    public WToolBarItem get(java.lang.String name)

  Gets toolbar item with specified name.

  Parameters:
    `name` -
  Returns:

### getCount

    public int getCount()

  Gets number of items are in items collection.

  Returns:

### getVisibleItems

    public WToolBarItem[] getVisibleItems()

  Returns visible items (item.getVisible = true).

  Returns:

### iterator

    public java.util.Iterator<WToolBarItem> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<WToolBarItem>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD